Loading ...
Sorry, an error occurred while loading the content.

Re: GTK+ 1.2.7

Expand Messages
  • Jackie Manning
    Its possible that you have multiple copies/versions of gtk-config. This has happened to me before. Do a locate or find for gtk-config. You may find one in
    Message 1 of 3 , Feb 20, 2000
    • 0 Attachment
      Its possible that you have multiple copies/versions of gtk-config. This has
      happened to me before. Do a locate or find for gtk-config. You may find one
      in /usr/bin and one in /usr/local/bin. If you find more than one, try running
      each with the --version parameter, then rename, hide, or delete the one
      that gives the wrong answer.

      William David Porter wrote:

      > From: William David Porter <kuj0@...>
      >
      > Hello everyone,
      > I've got a problem. I downloaded gtk+ 1.2.7 for a program that needs
      > gtk. I then needed glib 1.2.7 or better. So I got it , and installed it. Now
      > when I run ./configure for gtk, it still says I need glib 1.2.7 or better. So I
      > tell it to ignore glib, and the configure script tells me I need X. Below is
      > the last part of config.log, when I got the X error.
      >
      > configure:3295: gcc -o conftest -g -O2 -Wall conftest.c 1>&5
      > configure:3329: checking for LC_MESSAGES
      > configure:3341: gcc -o conftest -g -O2 -Wall conftest.c 1>&5
      > configure:3362: checking whether NLS is requested
      > configure:3394: checking for libintl.h
      > configure:3404: gcc -E conftest.c >/dev/null 2>conftest.out
      > configure:3421: checking for dgettext in libc
      > configure:3433: gcc -o conftest -g -O2 -Wall conftest.c 1>&5
      > configure:3551: checking for msgfmt
      > configure:3585: checking for dcgettext
      > configure:3613: gcc -o conftest -g -O2 -Wall conftest.c 1>&5
      > configure:3640: checking for gmsgfmt
      > configure:3676: checking for xgettext
      > configure:3716: gcc -o conftest -g -O2 -Wall conftest.c 1>&5
      > configure:3992: checking for catalogs to be installed
      > configure:4102: checking for extra flags to get ANSI library prototypes
      > configure:4116: gcc -o conftest -g -O2 -Wall conftest.c -lm 1>&5
      > configure:4156: checking for extra flags for POSIX compliance
      > configure:4165: gcc -c -g -O2 -Wall conftest.c 1>&5
      > configure: In function `main':
      > configure:4161: warning: unused variable `dir'
      > configure:4532: checking for X
      > configure:4599: gcc -E conftest.c >/dev/null 2>conftest.out
      > configure:4595: X11/Intrinsic.h: No such file or directory
      > configure: failed program was:
      > #line 4594 "configure"
      > #include "confdefs.h"
      > #include <X11/Intrinsic.h>
      > configure:4675: gcc -o conftest -g -O2 -Wall conftest.c -lXt 1>&5
      > configure: In function `main':
      > configure:4671: warning: implicit declaration of function `XtMalloc'
      > ld: cannot open -lXt: No such file or directory
      > configure: failed program was:
      > #line 4668 "configure"
      > #include "confdefs.h"
      >
      > int main() {
      > XtMalloc()
      > ; return 0; }
      >
      > Can someone please help me?
      >
      > Thanks,
      > Bill
      >
      > --------------------------- ONElist Sponsor ----------------------------
      >
      > GET A NEXTCARD VISA, in 30 seconds. Get rates as low as 0.0 percent
      > Intro APR and no hidden fees. Apply NOW.
      > <a href=" http://clickme.onelist.com/ad/NextcardCreativeCL ">Click Here</a>
      >
      > ------------------------------------------------------------------------


      [This message contained attachments]
    • Jackie Manning
      Sorry, make that glib-config [This message contained attachments]
      Message 2 of 3 , Feb 20, 2000
      • 0 Attachment
        Sorry, make that glib-config


        [This message contained attachments]
      Your message has been successfully submitted and would be delivered to recipients shortly.